AssignmentsFor content
Get the assignment of a policy or training.
Pass exactly one of policyId or trainingId. Answers null when the content has no assignment.
Authorization
Authorization AuthorizationBearer <token>
In: header
Query Parameters
organizationId*string
policyId?string
trainingId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/assignments/for-content/?organizationId=string"{ "id": "string", "organizationId": "string", "policyId": "string", "trainingId": "string", "memberIds": [ "string" ], "firstDueAt": "string", "scheduleId": "string", "reacknowledgeFrom": "string", "reacknowledgeDueAt": "string", "createdAt": "string", "updatedAt": "string", "archivedAt": "string", "roles": [ { "assignmentId": "string", "businessRoleId": "string", "organizationId": "string", "businessRole": { "id": "string", "slug": "string", "name": "string", "description": "string", "archivedAt": "string", "organizationId": "string", "memberIds": [ "string" ], "requiredCompetence": "string" } } ], "completions": [ { "id": "string", "organizationId": "string", "assignmentId": "string", "memberId": "string", "cycleAnchor": "string", "completedAt": "string", "policyVersion": "string", "metadata": null, "recordedByMemberId": "string", "note": "string", "evidenceReference": "string" } ], "stats": { "total": 0, "completed": 0, "pending": 0, "overdue": 0 }, "schedule": { "ruleSet": "string" }}How is this guide?